%define upstream_name    Devel-GlobalDestruction
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Expose PL_dirty, the flag which marks global
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl-devel
%description
Perl's global destruction is a little tricky to deal with WRT finalizers
because it's not ordered and objects can sometimes disappear.

Writing defensive destructors is hard and annoying, and usually if global
destruction is happenning you only need the destructors that free up non
process local resources to actually execute.

For these constructors you can avoid the mess by simply bailing out if
global destruction is in effect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 525092
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.110.0-1.mga4
+ Revision: 432201
- update to 0.11

* Wed May 29 2013 tv <tv> 0.90.0-3.mga4
+ Revision: 430050
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 365759
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 291656
- update to 0.09

* Sun Aug 05 2012 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 278705
- New sha1
- New version 0.08

* Mon Jun 18 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 261537
- update to 0.06

* Tue Jun 05 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 254857
- update to 0.05

* Fri Jul 08 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 120374
- update to 0.04

* Sat Jun 11 2011 jquelin <jquelin> 0.30.0-3.mga2
+ Revision: 103513
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 31620
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 24469
- fix specs
- imported package perl-Devel-GlobalDestruction


* Thu Dec 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 604715
- update to new version 0.03

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-3mdv2011.0
+ Revision: 555793
- rebuild for perl 5.12
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 403100
- rebuild using %%perl_convert_version

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
+ Revision: 295956
- import perl-Devel-GlobalDestruction


* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.1
- initial mdv release, generated with cpan2dist

